--- old/usr/src/uts/common/io/ib/clients/rdsv3/rdsv3_impl.c	2015-08-19 07:25:06.328716582 -0400
+++ new/usr/src/uts/common/io/ib/clients/rdsv3/rdsv3_impl.c	2015-08-19 07:25:06.334409188 -0400
@@ -565,7 +565,7 @@
 		/* already flushing, wait until the flushing is complete */
 		do {
 			mutex_exit(&wq->wq_lock);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			mutex_enter(&wq->wq_lock);
 		} while (wq->wq_state == RDSV3_WQ_THREAD_FLUSHING);
 		break;
@@ -602,7 +602,7 @@
 	case RDSV3_WQ_THREAD_FLUSHING:
 		do {
 			mutex_exit(&wq->wq_lock);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			mutex_enter(&wq->wq_lock);
 		} while (wq->wq_state == RDSV3_WQ_THREAD_FLUSHING);
 
@@ -736,7 +736,7 @@
 
 	while (wq->wq_pending > 0) {
 		mutex_exit(&wq->wq_lock);
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 		mutex_enter(&wq->wq_lock);
 	};
 	mutex_exit(&wq->wq_lock);
@@ -792,7 +792,7 @@
 	mutex_init(&wq->wq_lock, NULL, MUTEX_DRIVER, NULL);
 	wq->wq_state = RDSV3_WQ_THREAD_IDLE;
 	wq->wq_pending = 0;
-	rdsv3_one_sec_in_hz = drv_usectohz(1000000);
+	rdsv3_one_sec_in_hz = drv_sectohz(1);
 
 	RDSV3_DPRINTF2("create_singlethread_workqueue", "Return");
 
